<?php 
error_reporting(0);
ini_set(“display_errors”, 0 );

include "protege_professor.php";
// echo "<pre>";
// print_r($_GET);
// echo "</pre>";

// echo "<pre>";
// print_r($_POST);
// echo "</pre>";


$idparcela = $_POST['idparcela'];

$array_post = $_POST;

$array_test = array_pop($array_post);
$array_test = array_pop($array_post);


$data_paga_comissao = $_POST['data_paga_comissao'];

$data_paga_comissao = explode("-", $data_paga_comissao);

$data_pagamento = $data_paga_comissao[2]."-".$data_paga_comissao[1]."-".$data_paga_comissao[0];

// echo "data de pagamento que vai pro banco de dados ." . $data_pagamento . "<br>";

// echo "<pre>";
// print_r($array_post);
// echo "</pre>";





// function busca_empreendimento($idparcela){

//      include "conexao.php";

//      $query = "SELECT empreendimento_id_novo FROM parcelas WHERE idparcelas = '$idparcela'";

//      $executa = mysqli_query($db, $query) or die("erro ao buscar a venda");

//      $executa_query = mysqli_query ($db,$query);
                
//      while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos
           
//               $empreendimento      = $reg["empreendimento_id_novo"];


//       }

//       return $empreendimento;



// }


      function busca_empreendimento($parc_id){

            include "conexao.php";

            $query_amigo1 = "SELECT produto.empreendimento_idempreendimento FROM parcelas INNER JOIN venda ON parcelas.venda_idvenda = venda.idvenda INNER JOIN produto ON venda.produto_idproduto = produto.idproduto   where idparcelas = '$parc_id' ORDER BY idparcelas DESC LIMIT 1";

            $executa_query = mysqli_query($db,$query_amigo1);
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
            {                 
                $empreendi     = $buscar_amigo["empreendimento_idempreendimento"];   

            }


            return $empreendi;
        }






function busca_equipe($venda_id){

            include "conexao.php";
            $query_amigo = "SELECT equipe_id FROM venda_comissao where venda_id= '$venda_id' ORDER BY idcomissao DESC LIMIT 1";
            $executa_query = mysqli_query ($db,$query_amigo);
            while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
            {                 
                $equipe_id     = $buscar_amigo["equipe_id"];   


            }
            return $equipe_id;
        }




function pega_venda($idparcela){

     include "conexao.php";

     $query = "SELECT venda_idvenda FROM parcelas WHERE idparcelas = '$idparcela'";

     $executa = mysqli_query($db, $query) or die("erro ao buscar a venda");

     $executa_query = mysqli_query ($db,$query);
                
     while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos
           
              $venda      = $reg["venda_idvenda"];


      }

      return $venda;


}

function buscar_saldo($comissao_para){

     include "conexao.php";

     $query = "SELECT saldo_atual FROM venda_comissao WHERE comissao_para = '$comissao_para'";

     $executa = mysqli_query($db, $query) or die("erro ao buscar a venda");

     $executa_query = mysqli_query ($db,$query);
                
     while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos
           
              $saldo      = $reg["saldo_atual"];


      }

      return $saldo;


}


$venda = pega_venda($idparcela);
$empreendimento = busca_empreendimento($idparcela);
$equipe_id = busca_equipe($venda);


// echo "venda caputrada .: " . $venda ."<br>";
// echo "empre caputrada .: " . $empreendimento ."<br>";

include "conexao.php";

$data_lancamento         = date('d-m-Y H:i:s');
$data_lanc = date('d-m-Y');

foreach ($array_post as $key => $value) {
      
      $limpa = str_replace("R$ ", "", $value);
      $limpa = str_replace(".", "", $limpa);
      $limpa = str_replace(",", ".", $limpa);
     
      $saldo_atual = buscar_saldo($key);
 

      $valor_parcela_comissao = $limpa;
      $id_corretor = $key;
      $saldo_atual = $saldo_atual - $valor_parcela_comissao;


    
      $query = "INSERT INTO comissao_pagamento(id_parcela,id_venda,data_pagamento,id_equipe,valor_pagamento,empreendimento_id,saldo_devedor,comissao_para,data_lancamento)VALUES('$idparcela','$venda','$data_pagamento','$equipe_id','$valor_parcela_comissao','$empreendimento','$saldo_atual','$key','$data_lanc')";

       //echo $query . "<br>";

      $executa = mysqli_query($db, $query) or die("erro ao inserir comissao");

      $query1 = "UPDATE venda_comissao SET saldo_atual = '$saldo_atual' WHERE comissao_para = '$key' and venda_id = '$venda'";

      $executa1 = mysqli_query($db, $query1) or die("erro ao atualizar saldo");

      // echo $query1 . "<br>";




//insere contas a pagar
$insere_contas_pagar = mysqli_query($db, "INSERT INTO parcelas (

venda_idvenda,
valor_parcelas,
data_vencimento_parcela,
situacao,
descricao,
tipo_venda,
fluxo,
cliente_id_novo,
data_lancamento_sistema,
lancamento_por,
empreendimento_id_novo
)

values (
'$venda',
'$valor_parcela_comissao',
'$data_pagamento',
'Em Aberto',
'Comissao',
'3',
'1',
'$key',
'$data_lancamento',
'$lancamento_por',
'$empreendimento'

)");


}


$dados =  "ok";

echo json_encode($dados);


?>